Subject: RE: Apparent DLL loader problems.
From: [email-masked] (Sean McNeil)

24 Jan 1997 06:43:13 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: GNU Win32 Mailing list <[email-masked]>,
        "[email-masked]'"
	 <[email-masked]>
Original-Sender: [email-masked]

I have a similar problem with b17.  I cannot say for sure, but I suspect the linker.  My
problem is unrelated, yet most likely akin to yours.  When I link a program with the
object files, all is fine.  If I link with the objects in a library archive, the resulting program
is not the same size and the program misbehaves.  It's not ar, though, as I can extract the
object from the library and things work fine again.

I'd say ld has a problem with static and DL libraries.  I'd like to look into this some more
and perhaps try a more recent binutils.  Does anyone know the mailing list for it?

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".